<?
 /*SCRIPT PARA MANTENIMIENTO DE ALUMNOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn or !$idalumno){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
  switch($tipo_trn){
   case "Add":
                for($i=1;$i<=$max;$i++)  {
                  $tmpfecha="txtfecha$i";
                  $tmpcurso="txtcurso$i";
                  $tmpnota="txtnota$i";
                   
                   
                  $qver=mysql_query("select *
                                     from exp_cursos
                                     where
                                     alumno='$idalumno'
                                     and nivel='$txtnivel'
                                     and grado='$txtgrado'
                                     and curso='{$$tmpcurso}'");
                  if(mysql_num_rows($qver)==0){
                   
                   $nfecha="NULL";
                   if(strlen($$tmpfecha)==10 && $$tmpfecha != "00/00/0000"){
                     $tmpf=explode("/",$$tmpfecha);
                     if(!checkdate($tmpf[1],$tmpf[0],$tmpf[2])){
                       alert("La fecha es incorrecta {$$tmpfecha}","$goback");
                     }
                     
                     $nfecha=$tmpf[2]."-".$tmpf[1]."-".$tmpf[0];
                   }
                   
                   $sql="insert 
                         into exp_cursos
                         set
                         alumno='$idalumno',
                         nivel='$txtnivel',
                         grado='$txtgrado',
                         curso='{$$tmpcurso}',
                         nota='{$$tmpnota}',
                         fecha='$nfecha'";
                   //  echo $sql."<br>";
                  
                   $ins=mysql_query($sql) or die(mysql_error());
                   
                  }else{
                   $nfecha="NULL";
                   if(strlen($$tmpfecha)==10 && $$tmpfecha != "00/00/0000"){
                     $tmpf=explode("/",$$tmpfecha);
                     if(!checkdate($tmpf[1],$tmpf[0],$tmpf[2])){
                       alert("La fecha es incorrecta {$$tmpfecha}","$goback");
                     }
                     
                     $nfecha=$tmpf[2]."-".$tmpf[1]."-".$tmpf[0];
                   }
                   
                   $sql="update exp_cursos
                         set
                         nota='{$$tmpnota}',
                         fecha='$nfecha'
                         where
                         alumno='$idalumno'
                         and nivel='$txtnivel'
                         and grado='$txtgrado'
                         and curso = '{$$tmpcurso}'";
                    // echo $sql."<br>";
                  
                   $ins=mysql_query($sql) or die(mysql_error());
                  }
                }
                header("Location: frm_alumno_expv2_$frmnivel.php?idalumno=$idalumno#$txtgrado"."b");
   break;
   case "AddMatricula":
                   $qver=mysql_query("select * 
                                   from exp_matriculas 
                                   where 
                                   carnet='$idalumno' 
                                   and nivel = '$txtnivel' 
                                   and grado='$txtgrado'");
                
                $tmpf=explode("/",$txtmatriculafecha);
                $txtmatriculafecha=$tmpf[2]."-".$tmpf[1]."-".$tmpf[0];
                if(mysql_num_rows($qver)==0){
                          $sqlmat="insert into exp_matriculas 
                                   set
                                   carnet='$idalumno' ,
                                   nivel = '$txtnivel' ,
                                   grado='$txtgrado',
                                   matricula='$txtmatricula',
                                   matricula_fecha='$txtmatriculafecha',
                                   matricula_extendidaen='$txtmatriculaextendida',
                                   cursado_en='$txtcursadoen'";
                }else{
                          $sqlmat="update 
                                   exp_matriculas 
                                   set 
                                   matricula='$txtmatricula',
                                   matricula_fecha='$txtmatriculafecha',
                                   matricula_extendidaen='$txtmatriculaextendida',
                                   cursado_en='$txtcursadoen'
                                   where 
                                   carnet='$idalumno' 
                                   and nivel = '$txtnivel' 
                                   and grado='$txtgrado'";
                } 
                $matri=mysql_query($sqlmat) or die(mysql_error());
                header("Location: frm_alumno_expv2_$frmnivel.php?idalumno=$idalumno#$txtgrado"."b");
   break;
   case "DelCurso":
                $id_curso=dec($idc);
                $sql="delete from exp_cursos where id = $id_curso";
                //echo $sql;
                $delete=mysql_query($sql);
                header("Location: frm_alumno_expv2_$frmnivel.php?idalumno=$idalumno#$txtgrado"."b");
   break;
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
